京东秒杀
国美-超级5
索尼Xperia旗舰
限时优惠页 - 京东
自营热卖

区块链3.0_精通Hyperledger之安装JAVA、Maven环境(5) 顶 原

雪蝶宿秋风 1年前   阅读数 87 0

1、使用java对hyperledger进行开发,但是通过samba可以在mac或者windows中开发,但是需要在linux搭建一些其他的环境,java和maven

2、java需要1.8以上版本

    因为samba的关系,我们在官网下载好linux的java版本,复制到共享的文件夹中就可以,接下来执行命令

    2.1 $ mkdir /opt/java

    2.2 $ tar  -zxvf    jdk-8u121-linux-x64.tar.gz

    2.3 $ vi /etc/profile

        export JAVA_HOME=/opt/java/jdk1.8.0_171

        export  CLASSPATH=$:CLASSPATH:$JAVA_HOME/lib/

        export  PATH=$PATH:$JAVA_HOME/bin

    2.4 $ source  /etc/profile

    2.5 $ java -version

    

 

3、安装maven,因为在下拉java的代码时候,需要用到在linux中执行mvn的命令

    同理下载linux版本maven的包,通过samba共享的文件夹直接复制到linux中,注意:版本3.1.1以上

    3.1 $ mkdir /opt/maven

    3.2 $ sudo tar zxvf apache-maven-3.3.9-bin.tar.gz -C /opt/maven

    3.3 $ sudo vi ~/.bashrc

文件最后添加三行属性

export M2_HOME=/opt/apache-maven-3.3.9
export CLASSPATH=$CLASSPATH:$M2_HOME/lib
export PATH=$PATH:$M2_HOME/bin

    3.4 $ source ~/.bashrc

    3.5 $ mvn -v

 

 

    


注意:本文归作者所有,未经作者允许,不得转载

全部评论: 0

    我有话说: